﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VezLego
{
    class HlavniGenerator
    {
        private Dictionary<TypVeze, Generator> generatory;

        public HlavniGenerator()
        {
            generatory = new Dictionary<TypVeze, Generator>();
            generatory.Add(TypVeze.P, new GeneratorP());
        }

        public StavebniPlan Generuj(SpecifikaceVeze specifikace)
        {
            if (generatory.ContainsKey(specifikace.Typ))
                return generatory[specifikace.Typ].Generuj(specifikace);
            else
                return null;
        }
    }
}
