﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace VezLego
{
    public partial class HlavniForm : Form
    {
        public HlavniForm()
        {
            InitializeComponent();            
        }

        private void bResit_Click(object sender, EventArgs e)
        {
            SpecifikaceVeze specifikace = SpecifikaceVeze.Parsuj("vstup.in");
            HlavniGenerator generator = new HlavniGenerator();
            StavebniPlan plan = generator.Generuj(specifikace);
        }

        private void bKreslit_Click(object sender, EventArgs e)
        {
            StavebniPlan plan = StavebniPlan.Parsuj(tbPlan.Text);
            var f = new KresleniForm(plan);
            f.ShowDialog();
        }

        private void bVybratSoubor_Click(object sender, EventArgs e)
        {
            var r = openFileDialog1.ShowDialog();
            if (r == System.Windows.Forms.DialogResult.OK)
                tbPlan.Text = openFileDialog1.FileName;
        }
    }
}
